Package com.avaya.clientservices.contact.fields

## Class EditableContactPhoneField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactPhoneField
    - - com.avaya.clientservices.contact.fields.EditableContactPhoneField

- All Implemented Interfaces:
    `BaseContactField`

      public class EditableContactPhoneField
      extends ContactPhoneField

  The EditableContactPhoneField class extends the ContactPhoneField class to provide the application with the ability to edit a phone number field in a contact. The editable version of a contact field is obtained from the `EditableContact` class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EditableContactPhoneField()` | Editable phone number field constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `setCategory​(java.lang.String category)` | Sets or updates the phone number category.
    `void` | `setDefault​(boolean isDefault)` | Changes the default status of this phone number.
    `void` | `setLabel1​(java.lang.String label1)` | Sets or updates the phone number Label1.
    `void` | `setLabel2​(java.lang.String label2)` | Sets or updates the phone number Label2.
    `void` | `setPhoneNumber​(java.lang.String phoneNumber)` | Sets or updates the phone number string.
    `void` | `setSpeedDialEnabled​(boolean isSpeedDialEnabled)` | Sets or updates the speed dial flag
    `void` | `setType​(ContactPhoneNumberType type)` | Sets or updates the phone number type (e.g.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactPhoneField

      `getCategory, getLabel1, getLabel2, getPhoneNumber, getType, hashCode, isDefault, isSpeedDialEnabled`

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditableContactPhoneField

          public EditableContactPhoneField()

      Editable phone number field constructor.

  - ### Method Detail

    - #### setPhoneNumber

          public void setPhoneNumber​(java.lang.String phoneNumber)

      Sets or updates the phone number string.
      Parameters:
        `phoneNumber` - A String containing the new phone number.

    - #### setLabel1

          public void setLabel1​(java.lang.String label1)

      Sets or updates the phone number Label1.
      Parameters:
        `label1` - A String containing the new phone number Label1.

    - #### setLabel2

          public void setLabel2​(java.lang.String label2)

      Sets or updates the phone number Label2.
      Parameters:
        `label2` - A String containing the new phone number Label2.

    - #### setCategory

          public void setCategory​(java.lang.String category)

      Sets or updates the phone number category.
      Parameters:
        `category` - A String containing the new phone number category.

    - #### setType

          public void setType​(ContactPhoneNumberType type)

      Sets or updates the phone number type (e.g. WORK, HOME, etc).
      Parameters:
        `type` - The new phone number type.

    - #### setSpeedDialEnabled

          public void setSpeedDialEnabled​(boolean isSpeedDialEnabled)

      Sets or updates the speed dial flag
      Parameters:
        `isSpeedDialEnabled` - flag value to be set

    - #### setDefault

          public void setDefault​(boolean isDefault)

      Changes the default status of this phone number. Only one contact can be default, so when changing default, old must be manually unset.
      Parameters:
        `isDefault` - Set to true to make this phone number the default.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactPhoneField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactPhoneField`